Skip to navigation

Get Dropdown by ID

Get a single Dropdown by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dropdown_idstringRequired
ID of the Dropdown.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
idstringOptional
ID of the dropdown
namestringOptional
Name of the dropdown
optionsstringOptionalformat: "uri"
Array of dropdown options
registryobjectOptional
The registry that the dropdown belongs to

Errors

400
Dropdown Get Request Bad Request Error
403
Dropdown Get Request Forbidden Error
404
Dropdown Get Request Not Found Error
429
Dropdown Get Request Too Many Requests Error
500
Dropdown Get Request Internal Server Error